{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf (flags.radio && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    ## GUI
    chirp                   # Configuration de radios portatives
    gqrx                    # GUI
    cubicsdr                # Another GUI
    gnuradio-with-packages  # Software Defined Radio (SDR) software

    ## A Trier
    #inspectrum    # Tool for analysing captured signals from sdr receivers
  ];
}
