{ config, lib, pkgs, ... }:

let
  #inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

{
  imports = [

    # installées systématiquement
    ./environment.nix
    ./localisation.nix
    ./network.nix
    #./network-ipv6.nix
    ./u2f.nix
    ./udev.nix

    # commandées par config-generator
    ## option de configuration spécifique
    ./auto-upgrade.nix              # mise à jour automatique du système
    ./awesome.nix               # pour le gestionaire de fenêtres awesome
    ./laptop.nix                    # appli & configuration adaptée pour un PC portable
    ./swap.nix                      # définition de l'utilisation du swap
  ];
}
