{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.kibana {

  # Paquets
  environment.systemPackages = with pkgs; [
  ];

  # Services

  # K : http://localhost:8000
  services.kibana = {
    enable = true;
    elasticsearch.url = "http://127.0.0.1:9200";
    port = 8000;
  };

  # Réseau
  # -> Aucun port n'est ouvert caril est recommandé de mettre un proxy HTTP devant
  networking.firewall = {
    allowedTCPPorts = [
    ];
    allowedUDPPorts = [
    ];
  };
}
